Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Ionic-Account
string

Connected Ionic account to operate when using an authorized platform credential. Omit when using the account's own credential.

Path Parameters

id
string
required

Test clock ID.

Pattern: ^tclk_[0-9A-Za-z]{14}$

Response

The current test clock state.

id
string
required
Pattern: ^tclk_[0-9A-Za-z]{14}$
object
enum<string>
required
Available options:
test_clock
status
enum<string>
required

ready means all billing work through frozen_time committed. advancing means ordered work remains before target_time. failed means processing stopped at the last committed checkpoint.

Available options:
ready,
advancing,
failed
frozen_time
integer<int64>
required

Last fully committed logical checkpoint.

target_time
integer<int64> | null
required

Requested destination while advancing or failed.

failure
object | null
required
created_at
integer<int64>
required
updated_at
integer<int64>
required